%%MATLAB program to plot and convert soil temp
close all;
clear all;
clc;
load soilData.mat;

%assign the variables
Tc=soilData(:,1);
moist=soilData(:,2);

%create time variable
time=(1:1:24)';

%convert the soil temperature from Celcius to Farenheit using a function
Tf=c2f(Tc);

%plot the data
close all;
figure;
plot(time,Tf,'k',time,moist,'b.');
title('Soil Temperature and Moisture in North Carolina');
xlabel('Time (hrs of a day)');
ylabel('Degrees Farenheit, % Moisture Content');
legend('Temperature','Moisture');

%save the plots and the data 
h=figure(1);
saveas(h,'soilPlot','jpg');
saveas(h,'soilPlot','fig');

save testData.mat Tc Tf moist time;
